Update an issuer
PATCH
https://api.vercel.com/v1/kms/issuers/{issuerId}Update a KMS issuer's name or claims schema.
https://api.vercel.com/v1/kms/issuers/{issuerId}
const response = await fetch('https://api.vercel.com/v1/kms/issuers/issuerId?teamId=string&slug=string', { method: 'PATCH', headers: { 'Authorization': 'Bearer YOUR_ACCESS_TOKEN', 'Content-Type': 'application/json', }, body: JSON.stringify({ "name": "Example Name", "claimsSchema": "value" }),});
const data = await response.json();console.log(data);Response
{ "algorithm": "ES256", "claimsSchema": "value", "createdAt": "string", "id": "icfg_1234567890", "managedBy": "string", "name": "Example Name", "origin": "external", "ownerId": "example_id", "policies": [ { "createdAt": "string", "environments": [], "kind": "project-grant", "projectId": "example_id", "teamId": "example_id", "tokenClaims": "value", "updatedAt": "string" } ], "signingKeys": [ { "activateAt": "string", "activatedAt": "string", "algorithm": "string", "certificatePem": "string", "createdAt": "string", "importKeyId": "example_id", "issuerId": "example_id", "keyId": "example_id", "publicKey": { "alg": "string", "key_ops": [], "kid": "example_id", "kty": "string", "use": "string", "x5c": [], "x5t#S256": "string" }, "publicKeyFingerprint": "string", "publicKeyPem": "string", "revokeAt": "string", "status": "active", "updatedAt": "string" } ], "updatedAt": "string"}AuthorizationbearerToken
Default authentication mechanism
400One of the provided values in the request body is invalid.
One of the provided values in the request query is invalid.
401The request is not authorized.
403You do not have permission to access this resource.
404Error
410Error